- Qt 6.5
- Qt Location
- C++ Classes
- QPlaceIdReply
- Qt 6.5.0 Reference Documentation

# QPlaceIdReply Class

The QPlaceIdReply class manages operations which return an identifier such as saving and removal operations of places and categories. More...

Header: | #include <QPlaceIdReply>
qmake: | QT += location
Inherits: | QPlaceReply

- List of all members, including inherited members

## Public Types

enum | OperationType { SavePlace, RemovePlace, SaveCategory, RemoveCategory }

## Public Functions

| QPlaceIdReply(QPlaceIdReply::OperationType operationType, QObject *parent = nullptr)
virtual | ~QPlaceIdReply()
QString | id() const
QPlaceIdReply::OperationType | operationType() const

## Reimplemented Public Functions

virtual QPlaceReply::Type | type() const override

## Protected Functions

void | setId(const QString &identifier)

## Detailed Description

The QPlaceIdReply can be considered a multipurpose reply in that it can be used to save places, save categories, remove places and remove categories. In each case it returns an identifier of the place or category that was added, modified or removed.

See Saving a place for an example of how to use an identifier reply.

See also QPlaceManager.

## Member Type Documentation

### enum QPlaceIdReply::OperationType

Defines the type of operation that was used to generate this reply.

Constant | Value | Description
--- | --- | ---
`QPlaceIdReply::SavePlace` | `0` | The reply was created for a save place operation
`QPlaceIdReply::RemovePlace` | `2` | The reply was created for a remove place operation.
`QPlaceIdReply::SaveCategory` | `1` | The reply was created for a save category operation
`QPlaceIdReply::RemoveCategory` | `3` | The reply was created for a remove category operation.

## Member Function Documentation

### `[explicit]` QPlaceIdReply::QPlaceIdReply(QPlaceIdReply::OperationType operationType, QObject *parent = nullptr)

Constructs a reply which contains the identifier of the object operated upon. The reply is for the given operationType and with parent.

### `[virtual]` QPlaceIdReply::~QPlaceIdReply()

Destroys the reply.

### QString QPlaceIdReply::id() const

Returns the relevant identifier for the operation. For example for a save place operation, the identifier is that of the saved place. For a category removal operation, it is the identifier of the category that was removed.

See also setId().

### QPlaceIdReply::OperationType QPlaceIdReply::operationType() const

Returns the operation type of the reply. This means whether this identifier reply was for a save place operation, remove category operation and so on.

### `[protected]` void QPlaceIdReply::setId(const QString &identifier)

Sets the identifier of the reply.

See also id().

### `[override virtual]` QPlaceReply::Type QPlaceIdReply::type() const

Reimplements: QPlaceReply::type() const.

Returns the type of reply.